Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/fann: new aport

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Thu, 2 Mar 2017 10:56:47 +0200

Fast Artificial Neural Network Library
http://leenissen.dk/fann
---
 testing/fann/APKBUILD | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)
 create mode 100644 testing/fann/APKBUILD
diff --git a/testing/fann/APKBUILD b/testing/fann/APKBUILD
new file mode 100644
index 0000000000..aeb2e46b8f
--- /dev/null
+++ b/testing/fann/APKBUILD
_at_@ -0,0 +1,32 @@
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+# Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
+pkgname=fann
+pkgver=2.2.0
+pkgrel=0
+pkgdesc="Fast Artificial Neural Network Library"
+url="http://leenissen.dk/fann/"
+arch="all"
+license="LGPL2+"
+makedepends="cmake"
+subpackages="$pkgname-dev $pkgname-fixed:_lib $pkgname-float:_lib $pkgname-double:_lib"
+source="$pkgname-$pkgver.tar.gz::https://github.com/lib$pkgname/$pkgname/archive/$pkgver.tar.gz"
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+	cd "$builddir"
+	cmake CMakeLists.txt -DCMAKE_INSTALL_PREFIX=/usr || return 1
+	make
+}
+
+package() {
+	make -C "$builddir" DESTDIR="$pkgdir" install
+}
+
+_lib() {
+	local name=${subpkgname#$pkgname-}
+	pkgdesc="$pkgdesc ($name)"
+	mkdir -p "$subpkgdir"/usr/lib || return 1
+	mv "$pkgdir"/usr/lib/lib$name* "$subpkgdir"/usr/lib
+}
+
+sha512sums="b307539a39d93078a489710ac77aa8c6e324f3cf5ef80299ce257d10c043913764abef83aceac5278a5bd243b1ee245b4e8331a9e13c774aa63c9cb604f86bdd  fann-2.2.0.tar.gz"
-- 
2.11.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Mar 02 2017 - 10:56:47 GMT